org.scalatest.junit

# MustMatchersForJUnit

#### object MustMatchersForJUnit extends MustMatchersForJUnit

Companion object that facilitates the importing of `MustMatchersForJUnit` members as an alternative to mixing it in. One use case is to import `MustMatchersForJUnit` members so you can use them in the Scala interpreter:

    Macintosh-65:delus bv$ scala -cp .:../target/jar_contents:junit3.8.2/junit.jar
    Welcome to Scala version 2.7.5.final (Java HotSpot(TM) Client VM, Java 1.5.0_16).
    Type in expressions to have them evaluated.
    Type :help for more information.

    scala> import org.scalatest.junit.MustMatchersForJUnit._
    import org.scalatest.junit.MustMatchersForJUnit._

    scala> "hi" must have length (3)
    junit.framework.AssertionFailedError: "hi" did not have length 3
    	at org.scalatest.junit.MustMatchersForJUnit$class.newTestFailedException(MustMatchersForJUnit.scala:22)
    	at org.scalatest.junit.MustMatchersForJUnit$.newTestFailedException(MustMatchersForJUnit.scala:63)
    	at org.scalatest.matchers.Matchers$ResultOfHaveWordForString.length(Matchers.scala:4102)
    	at .<init>(<co...
    scala> 1 must equal (2)
    junit.framework.AssertionFailedError: 1 did not equal 2
    	at org.scalatest.junit.MustMatchersForJUnit$class.newTestFailedException(MustMatchersForJUnit.scala:22)
    	at org.scalatest.junit.MustMatchersForJUnit$.newTestFailedException(MustMatchersForJUnit.scala:63)
    	at org.scalatest.matchers.MustMatchers$MustMethodHelper$.mustMatcher(MustMatchers.scala:800)
    	at org.scal...
    scala> "hello, world" must startWith ("hello")

    scala> 7 must (be >= (3) and not be <= (7))
    junit.framework.AssertionFailedError: 7 was greater than or equal to 3, but 7 was less than or equal to 7
    	at org.scalatest.junit.MustMatchersForJUnit$class.newTestFailedException(MustMatchersForJUnit.scala:22)
    	at org.scalatest.junit.MustMatchersForJUnit$.newTestFailedException(MustMatchersForJUnit.scala:63)
    	at org.scalatest.matchers.MustMatchers$MustMethodHelper$.sh...

Linear Supertypes
MustMatchersForJUnit, AssertionsForJUnit, MustMatchers, MustVerb, Matchers, Assertions, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. MustMatchersForJUnit
2. MustMatchersForJUnit
3. AssertionsForJUnit
4. MustMatchers
5. MustVerb
6. Matchers
7. Assertions
8. AnyRef
9. Any

Visibility

1. Public
2. All

### Type Members

1. #### class AWord extends AnyRef

   This class is part of the ScalaTest matchers DSL.

2. #### class AnWord extends AnyRef

   This class is part of the ScalaTest matchers DSL.

3. #### class AnyMustWrapper [T] extends AnyRef

   This class is part of the ScalaTest matchers DSL.

4. #### class AnyRefMustWrapper [T <: AnyRef] extends AnyRef

   This class is part of the ScalaTest matchers DSL.

5. #### class ArrayMustWrapper [T] extends AnyRef

   This class is part of the ScalaTest matchers DSL.

6. #### class BeWord extends AnyRef

   This class is part of the ScalaTest matchers DSL.

7. #### class ByteMustWrapper extends AnyRef

   This class is part of the ScalaTest matchers DSL.

8. #### class BytePlusOrMinusWrapper extends AnyRef

   This class is part of the ScalaTest matchers DSL.

9. #### case class ByteTolerance (right: Byte, tolerance: Byte) extends Product with Serializable

   This class is part of the ScalaTest matchers DSL.

10. #### class ContainWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

11. #### class DoubleMustWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

12. #### class DoublePlusOrMinusWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

13. #### case class DoubleTolerance (right: Double, tolerance: Double) extends Product with Serializable

    This class is part of the ScalaTest matchers DSL.

14. #### class EndWithWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

15. #### class Equalizer extends AnyRef

    Class used via an implicit conversion to enable any two objects to be compared with `===` in assertions in tests.

16. #### class EvaluatingApplicationMustWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

17. #### class FloatMustWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

18. #### class FloatPlusOrMinusWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

19. #### case class FloatTolerance (right: Float, tolerance: Float) extends Product with Serializable

    This class is part of the ScalaTest matchers DSL.

20. #### class FullyMatchWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

21. #### class HavePropertyMatcherGenerator extends AnyRef

    This class is part of the ScalaTest matchers DSL.

22. #### class HaveWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

23. #### class IncludeWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

24. #### class IntMustWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

25. #### class IntPlusOrMinusWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

26. #### case class IntTolerance (right: Int, tolerance: Int) extends Product with Serializable

    This class is part of the ScalaTest matchers DSL.

27. #### class JavaCollectionMustWrapper [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

28. #### class JavaListMustWrapper [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

29. #### class JavaMapMustWrapper [K, V] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

30. #### class KeyWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

31. #### class LengthMustWrapper [A <: AnyRef] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

32. #### class LengthWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

33. #### class LengthWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

34. #### class ListMustWrapper [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

35. #### class LongMustWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

36. #### class LongPlusOrMinusWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

37. #### case class LongTolerance (right: Long, tolerance: Long) extends Product with Serializable

    This class is part of the ScalaTest matchers DSL.

38. #### class MapMustWrapper [K, V] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

39. #### class MatcherWrapper [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

40. #### class NotWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

41. #### class RegexWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

42. #### class ResultOfAWordToBePropertyMatcherApplication [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

43. #### class ResultOfAWordToSymbolApplication extends AnyRef

    This class is part of the ScalaTest matchers DSL.

44. #### class ResultOfAnWordToBePropertyMatcherApplication [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

45. #### class ResultOfAnWordToSymbolApplication extends AnyRef

    This class is part of the ScalaTest matchers DSL.

46. #### class ResultOfBeWordForAnyRef [T <: AnyRef] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

47. #### class ResultOfContainWordForJavaMap [K, V] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

48. #### class ResultOfContainWordForMap [K, V] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

49. #### class ResultOfElementWordApplication [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

50. #### class ResultOfEndWithWordForString extends AnyRef

    This class is part of the ScalaTest matchers DSL.

51. #### class ResultOfEvaluatingApplication extends AnyRef

    This class is part of the ScalaTest matchers DSL.

52. #### class ResultOfFullyMatchWordForString extends AnyRef

    This class is part of the ScalaTest matchers DSL.

53. #### class ResultOfGreaterThanComparison [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

54. #### class ResultOfGreaterThanOrEqualToComparison [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

55. #### class ResultOfHaveWordForArray [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

56. #### class ResultOfHaveWordForJavaCollection [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

57. #### class ResultOfHaveWordForJavaList [T] extends ResultOfHaveWordForJavaCollection[T]

    This class is part of the ScalaTest matchers DSL.

58. #### class ResultOfHaveWordForJavaMap extends AnyRef

    This class is part of the ScalaTest matchers DSL.

59. #### class ResultOfHaveWordForLengthWrapper [A] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

60. #### class ResultOfHaveWordForSeq [T] extends ResultOfHaveWordForTraversable[T]

    This class is part of the ScalaTest matchers DSL.

61. #### class ResultOfHaveWordForSizeWrapper [A] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

62. #### class ResultOfHaveWordForString extends AnyRef

    This class is part of the ScalaTest matchers DSL.

63. #### class ResultOfHaveWordForTraversable [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

64. #### class ResultOfIncludeWordForString extends AnyRef

    This class is part of the ScalaTest matchers DSL.

65. #### class ResultOfKeyWordApplication [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

66. #### class ResultOfLengthWordApplication extends HavePropertyMatcher[AnyRef, Long]

    This class is part of the ScalaTest matchers DSL.

67. #### class ResultOfLessThanComparison [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

68. #### class ResultOfLessThanOrEqualToComparison [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

69. #### class ResultOfNotWord [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

70. #### class ResultOfNotWordForAnyRef [T <: AnyRef] extends ResultOfNotWord[T]

    This class is part of the ScalaTest matchers DSL.

71. #### class ResultOfNotWordForArray [E] extends ResultOfNotWordForAnyRef[Array[E]]

    This class is part of the ScalaTest matchers DSL.

72. #### class ResultOfNotWordForByte extends ResultOfNotWord[Byte]

    This class is part of the ScalaTest matchers DSL.

73. #### class ResultOfNotWordForDouble extends ResultOfNotWord[Double]

    This class is part of the ScalaTest matchers DSL.

74. #### class ResultOfNotWordForFloat extends ResultOfNotWord[Float]

    This class is part of the ScalaTest matchers DSL.

75. #### class ResultOfNotWordForInt extends ResultOfNotWord[Int]

    This class is part of the ScalaTest matchers DSL.

76. #### class ResultOfNotWordForJavaCollection [E, T <: Collection[E]] extends ResultOfNotWordForAnyRef[T]

    This class is part of the ScalaTest matchers DSL.

77. #### class ResultOfNotWordForJavaList [E, T <: List[E]] extends ResultOfNotWordForJavaCollection[E, T]

    This class is part of the ScalaTest matchers DSL.

78. #### class ResultOfNotWordForJavaMap [K, V] extends ResultOfNotWordForAnyRef[Map[K, V]]

    This class is part of the ScalaTest matchers DSL.

79. #### class ResultOfNotWordForLengthWrapper [A <: AnyRef] extends ResultOfNotWordForAnyRef[A]

    This class is part of the ScalaTest matchers DSL.

80. #### class ResultOfNotWordForLong extends ResultOfNotWord[Long]

    This class is part of the ScalaTest matchers DSL.

81. #### class ResultOfNotWordForMap [K, V] extends ResultOfNotWordForTraversable[(K, V), Map[K, V]]

    This class is part of the ScalaTest matchers DSL.

82. #### class ResultOfNotWordForSeq [E, T <: Seq[E]] extends ResultOfNotWordForTraversable[E, T]

    This class is part of the ScalaTest matchers DSL.

83. #### class ResultOfNotWordForShort extends ResultOfNotWord[Short]

    This class is part of the ScalaTest matchers DSL.

84. #### class ResultOfNotWordForSizeWrapper [A <: AnyRef] extends ResultOfNotWordForAnyRef[A]

    This class is part of the ScalaTest matchers DSL.

85. #### class ResultOfNotWordForString extends ResultOfNotWordForAnyRef[String]

    This class is part of the ScalaTest matchers DSL.

86. #### class ResultOfNotWordForTraversable [E, T <: Traversable[E]] extends ResultOfNotWordForAnyRef[T]

    This class is part of the ScalaTest matchers DSL.

87. #### class ResultOfProduceInvocation [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

88. #### class ResultOfRegexWordApplication extends AnyRef

    This class is part of the ScalaTest matchers DSL.

89. #### class ResultOfSizeWordApplication extends HavePropertyMatcher[AnyRef, Long]

    This class is part of the ScalaTest matchers DSL.

90. #### class ResultOfStartWithWordForString extends AnyRef

    This class is part of the ScalaTest matchers DSL.

91. #### class ResultOfTheSameInstanceAsApplication extends AnyRef

    This class is part of the ScalaTest matchers DSL.

92. #### class ResultOfTripleEqualsApplication extends AnyRef

    This class is part of the ScalaTest matchers DSL.

93. #### class ResultOfValueWordApplication [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

94. #### class SeqMustWrapper [T] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

95. #### class ShortMustWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

96. #### class ShortPlusOrMinusWrapper extends AnyRef

    This class is part of the ScalaTest matchers DSL.

97. #### case class ShortTolerance (right: Short, tolerance: Short) extends Product with Serializable

    This class is part of the ScalaTest matchers DSL.

98. #### class SizeMustWrapper [A <: AnyRef] extends AnyRef

    This class is part of the ScalaTest matchers DSL.

99. #### class SizeWord extends AnyRef

    This class is part of the ScalaTest matchers DSL.

100. #### class SizeWrapper extends AnyRef

     This class is part of the ScalaTest matchers DSL.

101. #### class StartWithWord extends AnyRef

     This class is part of the ScalaTest matchers DSL.

102. #### class StringMustWrapper extends StringMustWrapperForVerb

     This class is part of the ScalaTest matchers DSL.

103. #### class StringMustWrapperForVerb extends AnyRef

     This class supports the syntax of `FlatSpec`, `WordSpec`, `FixtureFlatSpec`, and `FixtureWordSpec`.

104. #### class TheSameInstanceAsPhrase extends AnyRef

     This class is part of the ScalaTest matchers DSL.

105. #### class TraversableMustWrapper [T] extends AnyRef

     This class is part of the ScalaTest matchers DSL.

106. #### class ValueWord extends AnyRef

     This class is part of the ScalaTest matchers DSL.

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def < [T] (right: T)(implicit arg0: (T) ⇒ Ordered[T]): ResultOfLessThanComparison[T]

   This method enables the following syntax:

   This method enables the following syntax:

       num should (not be < (10) and not be > (17))
                          ^

   Definition Classes
     Matchers

5. #### def <= [T] (right: T)(implicit arg0: (T) ⇒ Ordered[T]): ResultOfLessThanOrEqualToComparison[T]

   This method enables the following syntax:

   This method enables the following syntax:

       num should (not be <= (10) and not be > (17))
                          ^

   Definition Classes
     Matchers

6. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

7. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

8. #### def === (right: Any): ResultOfTripleEqualsApplication

   This method enables the following syntax:

   This method enables the following syntax:

       num should not be === (10)
                         ^

   Definition Classes
     Matchers

9. #### def > [T] (right: T)(implicit arg0: (T) ⇒ Ordered[T]): ResultOfGreaterThanComparison[T]

   This method enables the following syntax:

   This method enables the following syntax:

       num should (not be > (10) and not be < (7))
                          ^

   Definition Classes
     Matchers

10. #### def >= [T] (right: T)(implicit arg0: (T) ⇒ Ordered[T]): ResultOfGreaterThanOrEqualToComparison[T]

    This method enables the following syntax:

    This method enables the following syntax:

        num should (not be >= (10) and not be < (7))
                           ^

    Definition Classes
      Matchers

11. #### val a : AWord

    This field enables the following syntax:

    This field enables the following syntax:

        badBook should not be a ('goodRead)
                              ^

    Definition Classes
      Matchers

12. #### val an : AnWord

    This field enables the following syntax:

    This field enables the following syntax:

        badBook should not be an (excellentRead)
                              ^

    Definition Classes
      Matchers

13. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

14. #### def assert (o: Option[String]): Unit

    Assert that an `Option[String]` is `None`.

    Assert that an `Option[String]` is `None`. If the condition is `None`, this method returns normally. Else, it throws `TestFailedException` with the `String` value of the `Some` included in the `TestFailedException`'s detail message.

    This form of `assert` is usually called in conjunction with an implicit conversion to `Equalizer`, using a `===` comparison, as in:

        assert(a === b)

    For more information on how this mechanism works, see the documentation for `Equalizer`.

    o

      the `Option[String]` to assert

    Definition Classes
      Assertions

15. #### def assert (o: Option[String], clue: Any): Unit

    Assert that an `Option[String]` is `None`.

    Assert that an `Option[String]` is `None`. If the condition is `None`, this method returns normally. Else, it throws `TestFailedException` with the `String` value of the `Some`, as well as the `String` obtained by invoking `toString` on the specified `message`, included in the `TestFailedException`'s detail message.

    This form of `assert` is usually called in conjunction with an implicit conversion to `Equalizer`, using a `===` comparison, as in:

        assert(a === b, "extra info reported if assertion fails")

    For more information on how this mechanism works, see the documentation for `Equalizer`.

    o

      the `Option[String]` to assert

    clue

      An objects whose `toString` method returns a message to include in a failure report.

    Definition Classes
      Assertions

16. #### def assert (condition: Boolean, clue: Any): Unit

    Assert that a boolean condition, described in `String` `message`, is true.

    Assert that a boolean condition, described in `String` `message`, is true. If the condition is `true`, this method returns normally. Else, it throws `TestFailedException` with the `String` obtained by invoking `toString` on the specified `message` as the exception's detail message.

    condition

      the boolean condition to assert

    clue

      An objects whose `toString` method returns a message to include in a failure report.

    Definition Classes
      Assertions

17. #### def assert (condition: Boolean): Unit

    Assert that a boolean condition is true.

    Assert that a boolean condition is true. If the condition is `true`, this method returns normally. Else, it throws `TestFailedException`.

    condition

      the boolean condition to assert

    Definition Classes
      Assertions

18. #### val be : BeWord

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        obj should (be theSameInstanceAs (string) and be theSameInstanceAs (string))
                    ^

    Definition Classes
      Matchers

19. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

20. #### val contain : ContainWord

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        list should (contain ('a') and have length (7))
                     ^

    Definition Classes
      Matchers

21. #### implicit def convertByteToPlusOrMinusWrapper (right: Byte): BytePlusOrMinusWrapper

    Implicitly converts an object of type `Byte` to a `BytePlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Implicitly converts an object of type `Byte` to a `BytePlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      Matchers

22. #### implicit def convertDoubleToPlusOrMinusWrapper (right: Double): DoublePlusOrMinusWrapper

    Implicitly converts an object of type `Double` to a `DoublePlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Implicitly converts an object of type `Double` to a `DoublePlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      Matchers

23. #### implicit def convertFloatToPlusOrMinusWrapper (right: Float): FloatPlusOrMinusWrapper

    Implicitly converts an object of type `Float` to a `FloatPlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Implicitly converts an object of type `Float` to a `FloatPlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      Matchers

24. #### implicit def convertGetLengthFieldToIntLengthWrapper (o: AnyRef { val getLength: Int }): LengthWrapper

    This implicit conversion method converts an object with a `getLength` field of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    This implicit conversion method converts an object with a `getLength` field of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

25. #### implicit def convertGetLengthFieldToLongLengthWrapper (o: AnyRef { val getLength: Long }): LengthWrapper

    This implicit conversion method converts an object with a `getLength` field of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    This implicit conversion method converts an object with a `getLength` field of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

26. #### implicit def convertGetLengthMethodToIntLengthWrapper (o: AnyRef { def getLength(): Int }): LengthWrapper

    This implicit conversion method converts an object with a `getLength` method of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    This implicit conversion method converts an object with a `getLength` method of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

27. #### implicit def convertGetLengthMethodToLongLengthWrapper (o: AnyRef { def getLength(): Long }): LengthWrapper

    This implicit conversion method converts an object with a `getLength` method of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    This implicit conversion method converts an object with a `getLength` method of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

28. #### implicit def convertGetSizeFieldToIntSizeWrapper (o: AnyRef { val getSize: Int }): SizeWrapper

    This implicit conversion method converts an object with a `getSize` field of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    This implicit conversion method converts an object with a `getSize` field of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

29. #### implicit def convertGetSizeFieldToLongSizeWrapper (o: AnyRef { val getSize: Long }): SizeWrapper

    This implicit conversion method converts an object with a `getSize` field of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    This implicit conversion method converts an object with a `getSize` field of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

30. #### implicit def convertGetSizeMethodToIntSizeWrapper (o: AnyRef { def getSize(): Int }): SizeWrapper

    This implicit conversion method converts an object with a `getSize` method of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    This implicit conversion method converts an object with a `getSize` method of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

31. #### implicit def convertGetSizeMethodToLongSizeWrapper (o: AnyRef { def getSize(): Long }): SizeWrapper

    This implicit conversion method converts an object with a `getSize` method of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    This implicit conversion method converts an object with a `getSize` method of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

32. #### implicit def convertHasIntGetLengthFieldToLengthMustWrapper [T <: AnyRef { val getLength: Int }] (o: T): LengthMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getLength` `val` of type `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getLength` `val` of type `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

33. #### implicit def convertHasIntGetLengthMethodToLengthMustWrapper [T <: AnyRef { def getLength(): Int }] (o: T): LengthMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getLength` method that results in `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getLength` method that results in `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

34. #### implicit def convertHasIntGetSizeFieldToSizeMustWrapper [T <: AnyRef { val getSize: Int }] (o: T): SizeMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getSize` `val` of type `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getSize` `val` of type `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

35. #### implicit def convertHasIntGetSizeMethodToSizeMustWrapper [T <: AnyRef { def getSize(): Int }] (o: T): SizeMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getSize` method that results in `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getSize` method that results in `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

36. #### implicit def convertHasIntLengthFieldToLengthMustWrapper [T <: AnyRef { val length: Int }] (o: T): LengthMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `length` `val` of type `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `length` `val` of type `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

37. #### implicit def convertHasIntLengthMethodToLengthMustWrapper [T <: AnyRef { def length(): Int }] (o: T): LengthMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `length` method that results in `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `length` method that results in `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

38. #### implicit def convertHasIntSizeFieldToSizeMustWrapper [T <: AnyRef { val size: Int }] (o: T): SizeMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `size` `val` of type `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `size` `val` of type `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

39. #### implicit def convertHasIntSizeMethodToSizeMustWrapper [T <: AnyRef { def size(): Int }] (o: T): SizeMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `size` method that results in `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `size` method that results in `Int` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

40. #### implicit def convertHasLongGetLengthFieldToLengthMustWrapper [T <: AnyRef { val getLength: Long }] (o: T): LengthMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getLength` `val` of type `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getLength` `val` of type `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

41. #### implicit def convertHasLongGetLengthMethodToLengthMustWrapper [T <: AnyRef { def getLength(): Long }] (o: T): LengthMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getLength` method that results in `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getLength` method that results in `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

42. #### implicit def convertHasLongGetSizeFieldToSizeMustWrapper [T <: AnyRef { val getSize: Long }] (o: T): SizeMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getSize` `val` of type `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getSize` `val` of type `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

43. #### implicit def convertHasLongGetSizeMethodToSizeMustWrapper [T <: AnyRef { def getSize(): Long }] (o: T): SizeMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getSize` method that results in `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `getSize` method that results in `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

44. #### implicit def convertHasLongLengthFieldToLengthMustWrapper [T <: AnyRef { val length: Long }] (o: T): LengthMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `length` `val` of type `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `length` `val` of type `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

45. #### implicit def convertHasLongLengthMethodToLengthMustWrapper [T <: AnyRef { def length(): Long }] (o: T): LengthMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `length` method that results in `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `length` method that results in `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

46. #### implicit def convertHasLongSizeFieldToSizeMustWrapper [T <: AnyRef { val size: Long }] (o: T): SizeMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `size` `val` type `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `size` `val` type `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

47. #### implicit def convertHasLongSizeMethodToSizeMustWrapper [T <: AnyRef { def size(): Long }] (o: T): SizeMustWrapper[T]

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `size` method that results in `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an `AnyRef` of type `T` whose structure includes a `size` method that results in `Long` to a `SizeMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

48. #### implicit def convertIntToPlusOrMinusWrapper (right: Int): IntPlusOrMinusWrapper

    Implicitly converts an object of type `Int` to a `IntPlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Implicitly converts an object of type `Int` to a `IntPlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      Matchers

49. #### implicit def convertLengthFieldToIntLengthWrapper (o: AnyRef { val length: Int }): LengthWrapper

    This implicit conversion method converts an object with a `length` field of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    This implicit conversion method converts an object with a `length` field of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

50. #### implicit def convertLengthFieldToLongLengthWrapper (o: AnyRef { val length: Long }): LengthWrapper

    This implicit conversion method converts an object with a `length` field of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    This implicit conversion method converts an object with a `length` field of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

51. #### implicit def convertLengthMethodToIntLengthWrapper (o: AnyRef { def length(): Int }): LengthWrapper

    This implicit conversion method converts an object with a `length` method of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    This implicit conversion method converts an object with a `length` method of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

52. #### implicit def convertLengthMethodToLongLengthWrapper (o: AnyRef { def length(): Long }): LengthWrapper

    This implicit conversion method converts an object with a `length` method of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    This implicit conversion method converts an object with a `length` method of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have length (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

53. #### implicit def convertLongToPlusOrMinusWrapper (right: Long): LongPlusOrMinusWrapper

    Implicitly converts an object of type `Long` to a `LongPlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Implicitly converts an object of type `Long` to a `LongPlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      Matchers

54. #### implicit def convertMapMatcherToJavaMapMatcher [K, V] (mapMatcher: Matcher[Map[K, V]]): Matcher[Map[K, V]]

    This implicit conversion method enables the following syntax (`javaMap` is a `java.util.Map`):

    This implicit conversion method enables the following syntax (`javaMap` is a `java.util.Map`):

        javaMap should (contain key ("two"))

    The `(contain key ("two"))` expression will result in a `Matcher[scala.collection.Map[String, Any]]`. This implicit conversion method will convert that matcher to a `Matcher[java.util.Map[String, Any]]`.

    Attributes
      implicit
    Definition Classes
      Matchers

55. #### implicit def convertShortToPlusOrMinusWrapper (right: Short): ShortPlusOrMinusWrapper

    Implicitly converts an object of type `Short` to a `ShortPlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Implicitly converts an object of type `Short` to a `ShortPlusOrMinusWrapper`, to enable a `plusOrMinus` method to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      Matchers

56. #### implicit def convertSizeFieldToIntSizeWrapper (o: AnyRef { val size: Int }): SizeWrapper

    This implicit conversion method converts an object with a `size` field of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    This implicit conversion method converts an object with a `size` field of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

57. #### implicit def convertSizeFieldToLongSizeWrapper (o: AnyRef { val size: Long }): SizeWrapper

    This implicit conversion method converts an object with a `size` field of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    This implicit conversion method converts an object with a `size` field of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

58. #### implicit def convertSizeMethodToIntSizeWrapper (o: AnyRef { def size(): Int }): SizeWrapper

    This implicit conversion method converts an object with a `size` method of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    This implicit conversion method converts an object with a `size` method of type `Int` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

59. #### implicit def convertSizeMethodToLongSizeWrapper (o: AnyRef { def size(): Long }): SizeWrapper

    This implicit conversion method converts an object with a `size` method of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    This implicit conversion method converts an object with a `size` method of type `Long` to a `LengthWrapper`, to enable that object to be used with the `have size (7)` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

60. #### implicit def convertSymbolToHavePropertyMatcherGenerator (symbol: Symbol): HavePropertyMatcherGenerator

    This implicit conversion method converts a `Symbol` to a `HavePropertyMatcherGenerator`, to enable the symbol to be used with the `have ('author ("Dickens"))` syntax.

    This implicit conversion method converts a `Symbol` to a `HavePropertyMatcherGenerator`, to enable the symbol to be used with the `have ('author ("Dickens"))` syntax.

    Attributes
      implicit
    Definition Classes
      Matchers

61. #### implicit def convertToAnyMustWrapper [T] (o: T): AnyMustWrapper[T]

    Implicitly converts an object of type `T` to a `AnyMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `T` to a `AnyMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

62. #### implicit def convertToAnyRefMustWrapper [T <: AnyRef] (o: T): AnyRefMustWrapper[T]

    Implicitly converts a `scala.AnyRef` of type `T` to an `AnyRefMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts a `scala.AnyRef` of type `T` to an `AnyRefMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

63. #### implicit def convertToArrayMustWrapper [T] (o: Array[T]): ArrayMustWrapper[T]

    Implicitly converts an object of type `scala.Array[T]` to a `ArrayMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Array[T]` to a `ArrayMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

64. #### implicit def convertToByteMustWrapper (o: Byte): ByteMustWrapper

    Implicitly converts an object of type `scala.Byte` to a `ByteMustWrapper`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Byte` to a `ByteMustWrapper`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

65. #### implicit def convertToDoubleMustWrapper (o: Double): DoubleMustWrapper

    Implicitly converts an object of type `scala.Double` to a `DoubleMustWrapper`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Double` to a `DoubleMustWrapper`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

66. #### implicit def convertToEqualizer (left: Any): Equalizer

    Implicit conversion from `Any` to `Equalizer`, used to enable assertions with `===` comparisons.

    Implicit conversion from `Any` to `Equalizer`, used to enable assertions with `===` comparisons.

    For more information on this mechanism, see the documentation for Equalizer.

    Because trait `Suite` mixes in `Assertions`, this implicit conversion will always be available by default in ScalaTest `Suite`s. This is the only implicit conversion that is in scope by default in every ScalaTest `Suite`. Other implicit conversions offered by ScalaTest, such as those that support the matchers DSL or `invokePrivate`, must be explicitly invited into your test code, either by mixing in a trait or importing the members of its companion object. The reason ScalaTest requires you to invite in implicit conversions (with the exception of the implicit conversion for `===` operator) is because if one of ScalaTest's implicit conversions clashes with an implicit conversion used in the code you are trying to test, your program won't compile. Thus there is a chance that if you are ever trying to use a library or test some code that also offers an implicit conversion involving a `===` operator, you could run into the problem of a compiler error due to an ambiguous implicit conversion. If that happens, you can turn off the implicit conversion offered by this `convertToEqualizer` method simply by overriding the method in your `Suite` subclass, but not marking it as implicit:

        // In your Suite subclass
        override def convertToEqualizer(left: Any) = new Equalizer(left)

    left

      the object whose type to convert to `Equalizer`.

    Attributes
      implicit
    Definition Classes
      Assertions

67. #### implicit def convertToEvaluatingApplicationMustWrapper (o: ResultOfEvaluatingApplication): EvaluatingApplicationMustWrapper

    Implicitly converts an object of type `T` to a `EvaluatingApplicationMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `T` to a `EvaluatingApplicationMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

68. #### implicit def convertToFloatMustWrapper (o: Float): FloatMustWrapper

    Implicitly converts an object of type `scala.Float` to a `FloatMustWrapper`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Float` to a `FloatMustWrapper`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

69. #### implicit def convertToIntMustWrapper (o: Int): IntMustWrapper

    Implicitly converts an object of type `scala.Int` to a `IntMustWrapper`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Int` to a `IntMustWrapper`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

70. #### implicit def convertToJavaCollectionMustWrapper [T] (o: Collection[T]): JavaCollectionMustWrapper[T]

    Implicitly converts an object of type `java.util.Collection[T]` to a `JavaCollectionMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `java.util.Collection[T]` to a `JavaCollectionMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

71. #### implicit def convertToJavaListMustWrapper [T] (o: List[T]): JavaListMustWrapper[T]

    Implicitly converts an object of type `java.util.List[T]` to a `JavaListMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `java.util.List[T]` to a `JavaListMustWrapper[T]`, to enable `must` methods to be invokable on that object. This conversion is necessary to enable `length` to be used on Java `List`s.

    Attributes
      implicit
    Definition Classes
      MustMatchers

72. #### implicit def convertToJavaMapMustWrapper [K, V] (o: Map[K, V]): JavaMapMustWrapper[K, V]

    Implicitly converts an object of type `java.util.Map[K, V]` to a `JavaMapMustWrapper[K, V]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `java.util.Map[K, V]` to a `JavaMapMustWrapper[K, V]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

73. #### implicit def convertToListMustWrapper [T] (o: List[T]): ListMustWrapper[T]

    Implicitly converts an object of type `scala.List[T]` to a `ListMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.List[T]` to a `ListMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

74. #### implicit def convertToLongMustWrapper (o: Long): LongMustWrapper

    Implicitly converts an object of type `scala.Long` to a `LongMustWrapper`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Long` to a `LongMustWrapper`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

75. #### implicit def convertToMapMustWrapper [K, V] (o: Map[K, V]): MapMustWrapper[K, V]

    Implicitly converts an object of type `scala.collection.Map[K, V]` to a `MapMustWrapper[K, V]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.collection.Map[K, V]` to a `MapMustWrapper[K, V]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

76. #### implicit def convertToMatcherWrapper [T] (leftMatcher: Matcher[T]): MatcherWrapper[T]

    This implicit conversion method enables ScalaTest matchers expressions that involve `and` and `or`.

    This implicit conversion method enables ScalaTest matchers expressions that involve `and` and `or`.

    Attributes
      implicit
    Definition Classes
      Matchers

77. #### implicit def convertToSeqMustWrapper [T] (o: Seq[T]): SeqMustWrapper[T]

    Implicitly converts an object of type `scala.Seq[T]` to a `SeqMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Seq[T]` to a `SeqMustWrapper[T]`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

78. #### implicit def convertToShortMustWrapper (o: Short): ShortMustWrapper

    Implicitly converts an object of type `scala.Short` to a `ShortMustWrapper`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Short` to a `ShortMustWrapper`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

79. #### implicit def convertToStringMustWrapper (o: String): StringMustWrapper

    Implicitly converts an object of type `java.lang.String` to a `StringMustWrapper`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `java.lang.String` to a `StringMustWrapper`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers → MustVerb

80. #### implicit def convertToTraversableMustWrapper [T] (o: Traversable[T]): TraversableMustWrapper[T]

    Implicitly converts an object of type `scala.Collection[T]` to a `CollectionMustWrapper`, to enable `must` methods to be invokable on that object.

    Implicitly converts an object of type `scala.Collection[T]` to a `CollectionMustWrapper`, to enable `must` methods to be invokable on that object.

    Attributes
      implicit
    Definition Classes
      MustMatchers

81. #### implicit def convertTraversableMatcherToArrayMatcher [T] (traversableMatcher: Matcher[Traversable[T]]): Matcher[Array[T]]

    This implicit conversion method enables the following syntax:

    This implicit conversion method enables the following syntax:

        Array(1, 2) should (not contain (3) and not contain (2))

    The `(not contain ("two"))` expression will result in a `Matcher[Traversable[String]]`. This implicit conversion method will convert that matcher to a `Matcher[Array[String]]`.

    Attributes
      implicit
    Definition Classes
      Matchers

82. #### implicit def convertTraversableMatcherToJavaCollectionMatcher [T] (traversableMatcher: Matcher[Traversable[T]]): Matcher[Collection[T]]

    This implicit conversion method enables the following syntax (`javaColl` is a `java.util.Collection`):

    This implicit conversion method enables the following syntax (`javaColl` is a `java.util.Collection`):

        javaColl should contain ("two")

    The `(contain ("two"))` expression will result in a `Matcher[Traversable[String]]`. This implicit conversion method will convert that matcher to a `Matcher[java.util.Collection[String]]`.

    Attributes
      implicit
    Definition Classes
      Matchers

83. #### val endWith : EndWithWord

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        string should (endWith ("ago") and include ("score"))
                       ^

    Definition Classes
      Matchers

84. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

85. #### def equal (right: Any): Matcher[Any]

    This method enables the following syntax:

    This method enables the following syntax:

        result should equal (7)
                      ^

    The `left should equal (right)` syntax works by calling `==` on the `left` value, passing in the `right` value, on every type except arrays. If both `left` and right are arrays, `deep` will be invoked on both `left` and `right` before comparing them with ==. Thus, even though this expression will yield false, because `Array`'s `equals` method compares object identity:

        Array(1, 2) == Array(1, 2) // yields false

    The following expression will not result in a `TestFailedException`, because ScalaTest will compare the two arrays structurally, taking into consideration the equality of the array's contents:

        Array(1, 2) should equal (Array(1, 2)) // succeeds (i.e., does not throw TestFailedException)

    If you ever do want to verify that two arrays are actually the same object (have the same identity), you can use the `be theSameInstanceAs` syntax.

    Definition Classes
      Matchers

86. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

87. #### def evaluating (fun: ⇒ Any): ResultOfEvaluatingApplication

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        evaluating { "hi".charAt(-1) } should produce [StringIndexOutOfBoundsException]
        ^

    Definition Classes
      Matchers

88. #### def expect (expected: Any)(actual: Any): Unit

    Expect that the value passed as `expected` equals the value passed as `actual`.

    Expect that the value passed as `expected` equals the value passed as `actual`. If the `actual` value equals the `expected` value (as determined by `==`), `expect` returns normally. Else, `expect` throws an `TestFailedException` whose detail message includes the expected and actual values.

    expected

      the expected value

    actual

      the actual value, which should equal the passed `expected` value

    Definition Classes
      Assertions

89. #### def expect (expected: Any, clue: Any)(actual: Any): Unit

    Expect that the value passed as `expected` equals the value passed as `actual`.

    Expect that the value passed as `expected` equals the value passed as `actual`. If the `actual` equals the `expected` (as determined by `==`), `expect` returns normally. Else, if `actual` is not equal to `expected`, `expect` throws an `TestFailedException` whose detail message includes the expected and actual values, as well as the `String` obtained by invoking `toString` on the passed `message`.

    expected

      the expected value

    clue

      An object whose `toString` method returns a message to include in a failure report.

    actual

      the actual value, which should equal the passed `expected` value

    Definition Classes
      Assertions

90. #### def fail (cause: Throwable): Nothing

    Throws `TestFailedException`, with the passed `Throwable` cause, to indicate a test failed.

    Throws `TestFailedException`, with the passed `Throwable` cause, to indicate a test failed. The `getMessage` method of the thrown `TestFailedException` will return `cause.toString()`.

    cause

      a `Throwable` that indicates the cause of the failure.

    Definition Classes
      Assertions

91. #### def fail (message: String, cause: Throwable): Nothing

    Throws `TestFailedException`, with the passed `String` `message` as the exception's detail message and `Throwable` cause, to indicate a test failed.

    Throws `TestFailedException`, with the passed `String` `message` as the exception's detail message and `Throwable` cause, to indicate a test failed.

    message

      A message describing the failure.

    cause

      A `Throwable` that indicates the cause of the failure.

    Definition Classes
      Assertions

92. #### def fail (message: String): Nothing

    Throws `TestFailedException`, with the passed `String` `message` as the exception's detail message, to indicate a test failed.

    Throws `TestFailedException`, with the passed `String` `message` as the exception's detail message, to indicate a test failed.

    message

      A message describing the failure.

    Definition Classes
      Assertions

93. #### def fail (): Nothing

    Throws `TestFailedException` to indicate a test failed.

    Throws `TestFailedException` to indicate a test failed.

    Definition Classes
      Assertions

94. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

95. #### val fullyMatch : FullyMatchWord

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        string should (fullyMatch regex ("Hel*o, wor.d") and not have length (99))
                       ^

    Definition Classes
      Matchers

96. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

97. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

98. #### val have : HaveWord

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        list should (have length (3) and not contain ('a'))
                     ^

    Definition Classes
      Matchers

99. #### val include : IncludeWord

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        string should (include ("hope") and not startWith ("no"))
                       ^

    Definition Classes
      Matchers

100. #### def intercept [T <: AnyRef] (f: ⇒ Any)(implicit manifest: Manifest[T]): T

     Intercept and return an exception that's expected to be thrown by the passed function value.

     Intercept and return an exception that's expected to be thrown by the passed function value. The thrown exception must be an instance of the type specified by the type parameter of this method. This method invokes the passed function. If the function throws an exception that's an instance of the specified type, this method returns that exception. Else, whether the passed function returns normally or completes abruptly with a different exception, this method throws `TestFailedException`.

     Note that the type specified as this method's type parameter may represent any subtype of `AnyRef`, not just `Throwable` or one of its subclasses. In Scala, exceptions can be caught based on traits they implement, so it may at times make sense to specify a trait that the intercepted exception's class must mix in. If a class instance is passed for a type that could not possibly be used to catch an exception (such as `String`, for example), this method will complete abruptly with a `TestFailedException`.

     f

       the function value that should throw the expected exception

     manifest

       an implicit `Manifest` representing the type of the specified type parameter.

     returns

       the intercepted exception, if it is of the expected type

     Definition Classes
       Assertions

101. #### def isInstanceOf [T0] : Boolean

     Attributes
       final
     Definition Classes
       Any

102. #### val key : KeyWord

     This field enables the following syntax:

     This field enables the following syntax:

         map should not contain key (10)
                                ^

     Definition Classes
       Matchers

103. #### val length : LengthWord

     This field enables the following syntax:

     This field enables the following syntax:

         "hi" should not have length (3)
                              ^

     Definition Classes
       Matchers

104. #### def ne (arg0: AnyRef): Boolean

     Attributes
       final
     Definition Classes
       AnyRef

105. #### val not : NotWord

     This field enables syntax like the following:

     This field enables syntax like the following:

         myFile should (not be an (directory) and not have ('name ("foo.bar")))
                        ^

     Definition Classes
       Matchers

106. #### def notify (): Unit

     Attributes
       final
     Definition Classes
       AnyRef

107. #### def notifyAll (): Unit

     Attributes
       final
     Definition Classes
       AnyRef

108. #### def produce [T] (implicit manifest: Manifest[T]): ResultOfProduceInvocation[T]

     This method enables the following syntax:

     This method enables the following syntax:

         evaluating { "hi".charAt(-1) } should produce [StringIndexOutOfBoundsException]
         ^

     Definition Classes
       Matchers

109. #### val regex : RegexWord

     This field enables the following syntax:

     This field enables the following syntax:

         "eight" should not fullyMatch regex ("""(-)?(\d+)(\.\d*)?""".r)
                                       ^

     Definition Classes
       Matchers

110. #### val size : SizeWord

     This field enables the following syntax:

     This field enables the following syntax:

         set should not have size (3)
                             ^

     Definition Classes
       Matchers

111. #### val startWith : StartWithWord

     This method enables syntax such as the following:

     This method enables syntax such as the following:

         string should (startWith ("Four") and include ("year"))
                        ^

     Definition Classes
       Matchers

112. #### def synchronized [T0] (arg0: ⇒ T0): T0

     Attributes
       final
     Definition Classes
       AnyRef

113. #### val theSameInstanceAs : TheSameInstanceAsPhrase

     This field enables the following syntax:

     This field enables the following syntax:

         oneString should not be theSameInstanceAs (anotherString)
                                 ^

     Definition Classes
       Matchers

114. #### def toString (): String

     Definition Classes
       AnyRef → Any

115. #### val value : ValueWord

     This field enables the following syntax:

     This field enables the following syntax:

         map should not contain value (10)
                                ^

     Definition Classes
       Matchers

116. #### def wait (): Unit

     Attributes
       final
     Definition Classes
       AnyRef
     Annotations
       @throws()

117. #### def wait (arg0: Long, arg1: Int): Unit

     Attributes
       final
     Definition Classes
       AnyRef
     Annotations
       @throws()

118. #### def wait (arg0: Long): Unit

     Attributes
       final
     Definition Classes
       AnyRef
     Annotations
       @throws()

119. #### def withClue (clue: Any)(fun: ⇒ Unit): Unit

     Executes the block of code passed as the second parameter, and, if it completes abruptly with a `ModifiableMessage` exception, prepends the "clue" string passed as the first parameter to the beginning of the detail message of that thrown exception, then rethrows it.

     Executes the block of code passed as the second parameter, and, if it completes abruptly with a `ModifiableMessage` exception, prepends the "clue" string passed as the first parameter to the beginning of the detail message of that thrown exception, then rethrows it. If clue does not end in a white space character, one space will be added between it and the existing detail message (unless the detail message is not defined).

     This method allows you to add more information about what went wrong that will be reported when a test fails. Here's an example:

         withClue("(Employee's name was: " + employee.name + ")") {
           intercept[IllegalArgumentException] {
             employee.getTask(-1)
           }
         }

     If an invocation of `intercept` completed abruptly with an exception, the resulting message would be something like:

         (Employee's name was Bob Jones) Expected IllegalArgumentException to be thrown, but no exception was thrown

     Definition Classes
       Assertions

### Inherited from MustMatchersForJUnit

### Inherited from AssertionsForJUnit

### Inherited from MustMatchers

### Inherited from MustVerb

### Inherited from Matchers

### Inherited from Assertions

### Inherited from AnyRef

### Inherited from Any